---

#! jobs/will-it-scale-part1.yaml
suite: will-it-scale
testcase: will-it-scale
category: benchmark
nr_task: 100%
will-it-scale:
  mode: process
  test: futex2
job_origin: will-it-scale-part1.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-skl-fpga01
tbox_group: lkp-skl-fpga01
job_file: "/lkp/jobs/scheduled/lkp-skl-fpga01/will-it-scale-performance-process-100%-futex2-debian-11.1-x86_64-20220510.cgz-6613d82e617d-20240226-52445-1klaz0i-0.yaml"
id: 949ef0ac18ec566d9488d660b46beaecb8a029ca
queuer_version: "/zday/lkp"

#! /db/releases/20240216215507/lkp-src/hosts/lkp-skl-fpga01
model: Skylake
nr_node: 2
nr_cpu: 104
memory: 192G
kernel_cmdline_hw: acpi_rsdp=0x6b447014
rootfs_partition: "/dev/disk/by-id/ata-INTEL_SSDSC2BB800G4_CVWL34300015800RGN-part1"

#! /db/releases/20240216215507/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /db/releases/20240216215507/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20240216215507/lkp-src/include/queue/cyclic
commit: 6613d82e617dd7eb8b0c40b2fe3acea655b1d611

#! /db/releases/20240216215507/lkp-src/include/testbox/lkp-skl-fpga01
ucode: '0x2007006'
kconfig: x86_64-rhel-8.3
enqueue_time: 2024-02-26 19:10:34.833748103 +08:00
_rt: "/result/will-it-scale/performance-process-100%-futex2/lkp-skl-fpga01/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/6613d82e617dd7eb8b0c40b2fe3acea655b1d611"
compiler: gcc-12
head_commit: d0997f739532c76adc2d1efcdce47f9f1c0789c5
base_commit: b401b621758e46812da61fa58a67c3fd8d91de0d
branch: internal-devel/devel-hourly-20240224-090513
rootfs: debian-11.1-x86_64-20220510.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240226-155333"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-11.1-x86_64-20220510.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/will-it-scale/performance-process-100%-futex2/lkp-skl-fpga01/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/6613d82e617dd7eb8b0c40b2fe3acea655b1d611/1
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-12/6613d82e617dd7eb8b0c40b2fe3acea655b1d611/vmlinuz-6.8.0-rc5-00004-g6613d82e617d
- branch=internal-devel/devel-hourly-20240224-090513
- job=/lkp/jobs/scheduled/lkp-skl-fpga01/will-it-scale-performance-process-100%-futex2-debian-11.1-x86_64-20220510.cgz-6613d82e617d-20240226-52445-1klaz0i-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=6613d82e617dd7eb8b0c40b2fe3acea655b1d611
- nmi_watchdog=0
- intremap=posted_msi
- acpi_rsdp=0x6b447014
- max_uptime=2100
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-12/6613d82e617dd7eb8b0c40b2fe3acea655b1d611/modules.cgz"
bm_initrd: "/osimage/deps/debian-11.1-x86_64-20220510.cgz/run-ipconfig_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/lkp_20220513.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rsync-rootfs_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/will-it-scale_20240111.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/will-it-scale-x86_64-75f66e4-1_20240111.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/mpstat_20220516.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/turbostat_20220514.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/turbostat-x86_64-210e04ff7681-1_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/perf_20230522.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/perf-x86_64-00c7b5f4ddc5-1_20230402.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/sar-x86_64-c5bb321-1_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/hw_20220526.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240225132957/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-skl-fpga01/will-it-scale-performance-process-100%-futex2-debian-11.1-x86_64-20220510.cgz-6613d82e617d-20240226-52445-1klaz0i-0.cgz"
last_kernel: 6.8.0-rc5-00004-g6613d82e617d
acpi_rsdp: '0x6b447014'
repeat_to: 3

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-12/6613d82e617dd7eb8b0c40b2fe3acea655b1d611/vmlinuz-6.8.0-rc5-00004-g6613d82e617d"
result_root: "/result/will-it-scale/performance-process-100%-futex2/lkp-skl-fpga01/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/6613d82e617dd7eb8b0c40b2fe3acea655b1d611/1"

#! /cephfs/db/releases/20240226190543/lkp-src/include/site/inn
dequeue_time: 2024-02-26 19:22:29.689964466 +08:00
job_state: finished
loadavg: 80.70 63.60 28.84 1/975 14193
start_time: '1708946618'
end_time: '1708946919'
version: "/lkp/lkp/.src-20240226-155408:ca92ff45a800:185d0978832d"
